# List schedules

`GET /accounts/{accountID}/schedules`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Describes a list of schedules associated with an account. Append the `hydrate=accounts` query parameter to include partial account details in the response.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `skip` | query | integer (int64) |  | The number of entries to skip when paginating a large result set. |
| `count` | query | integer (int64) |  | Page size. When omitted, the server defaults to `200`. |
| `hydrate` | query | string |  | Values: `accounts`. |
| `accountID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].description` | string |  | Simple description to place on the transfer. |
| `[].destinationAccountID` | string | Yes |  |
| `[].mode` | string | Yes | The operating mode for an account. Values: `sandbox`, `production`. |
| `[].occurrences` | array of object |  |  |
| `[].occurrences[].scheduleID` | string |  |  |
| `[].occurrences[].occurrenceID` | string |  |  |
| `[].occurrences[].mode` | string |  | Sandbox or production account mode of this schedule. Values: `sandbox`, `production`. |
| `[].occurrences[].generated` | boolean |  | True if this was generated by a RRule. |
| `[].occurrences[].indefinite` | boolean |  | True if the RRule set runs indefinitely. |
| `[].occurrences[].canceledOn` | string (date-time) |  |  |
| `[].occurrences[].runOn` | string (date-time) | Yes |  |
| `[].occurrences[].runTransfer` | object | Yes |  |
| `[].occurrences[].ranOn` | string (date-time) |  |  |
| `[].occurrences[].ranTransferID` | string |  |  |
| `[].occurrences[].status` | string |  | Status of the completed occurrence. Values: `pending`, `failed`, `completed`. |
| `[].occurrences[].error` | object |  | Contains details on why the occurrence errored. |
| `[].ownerAccountID` | string | Yes |  |
| `[].partnerAccountID` | string | Yes |  |
| `[].recur` | object |  |  |
| `[].recur.recurrenceRule` | string | Yes | RRule as defined by RFC 5545 (https://www.rfc-editor.org/rfc/rfc5545#section-3.3.10). Generators available online at the following sites - https://freetools.textmagic.com/rrule-generator, https://jkbrzt.github.io/rrule/ |
| `[].recur.runTransfer` | object | Yes |  |
| `[].recur.indefinite` | boolean |  | True if the RRule set runs indefinitely. |
| `[].recur.start` | string (date-time) |  |  |
| `[].scheduleID` | string | Yes |  |
| `[].sourceAccountID` | string | Yes |  |
| `[].createdOn` | string (date-time) | Yes |  |
| `[].updatedOn` | string (date-time) | Yes |  |
| `[].disabledOn` | string (date-time) |  |  |
| `[].sourceAccount` | object |  |  |
| `[].sourceAccount.accountID` | string | Yes |  |
| `[].sourceAccount.displayName` | string | Yes |  |
| `[].sourceAccount.email` | string |  |  |
| `[].destinationAccount` | object |  |  |
| `[].destinationAccount.accountID` | string | Yes |  |
| `[].destinationAccount.displayName` | string | Yes |  |
| `[].destinationAccount.email` | string |  |  |
| `[].partnerAccount` | object |  |  |
| `[].partnerAccount.accountID` | string | Yes |  |
| `[].partnerAccount.displayName` | string | Yes |  |
| `[].partnerAccount.email` | string |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/schedules" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.scheduling.list({
    skip: 60,
    count: 20,
    accountID: "b69f6366-984e-40f9-82a0-65335a43431d",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/money-movement/schedules/list/
